<ion-header>
  <ion-navbar>
    <ion-title>
      IceCream Shop
    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>

  <p>
    Content Loading...
  </p>
</ion-content>

<ion-header>
  <ion-navbar color="primary">
    <ion-title>
      Shop List
    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content >

  <ion-list *ngIf="showShopList">
    <ion-item-sliding *ngFor="let item of shoplists; let i = index">
      <ion-item>
        <button ion-button (click)="goToShop(i)">{{ item.name }}</button>
      </ion-item>
    </ion-item-sliding>
  </ion-list>
  <ion-row *ngIf="selectedShop != null">
    <ion-title>
      {{selectedShop.$key}}
    </ion-title>
    <button ion-button (click)="addToCart(selectedShop.$key)">Add Item to Order</button>
  </ion-row>

  <ion-list *ngIf="myOrders.length">
    <ion-card-header>My Orders</ion-card-header>
    <ion-item-sliding *ngFor="let order of myOrders; let i = index">
      <ion-item>
        <ion-label>{{ order.forName }}</ion-label>
      </ion-item>
    </ion-item-sliding>
  </ion-list>

</ion-content>
